# Class XtlWriter

java.lang.Object
org.jmol.adapter.writers.XtlWriter

Direct Known Subclasses:
  `CIFWriter, PWMATWriter`

public class XtlWriter extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`haveUnitCell`
`protected boolean`
`isHighPrecision`
in SwingJS this is always true
`protected int`
`precision`
`protected float`
`slop`

## Constructor Summary

Constructors
Constructor
Description
`XtlWriter()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`clean(float d)`
`protected String`
`cleanT(float d)`
right-zero-trimmed

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### haveUnitCell

protected boolean haveUnitCell

### isHighPrecision

protected boolean isHighPrecision
in SwingJS this is always true

### slop

protected float slop

### precision

protected int precision

## Constructor Details

### XtlWriter

public XtlWriter()

## Method Details

### clean

protected String clean(float d)

### cleanT

protected String cleanT(float d)
right-zero-trimmed

Parameters:
  `d` -
Returns:
  x.xxxx or x.0 with no trailing zeros